<?php
class LogProduto extends UtilObjeto {

	public function __construct($params=""){
		parent::__construct(strtolower(get_class()), $params);
	}
	
	public static function listarTopProduto($filtro=""){
		global $db;
        $sql = "SELECT nome, total FROM(
					SELECT p.nome, count(*) total
					FROM   rz2_log_produto log,
						   rz2_produto p
					WHERE  log.id_produto = p.id
					".$filtro."
					GROUP BY p.id) log
				ORDER BY total DESC, nome";
        // exit($sql);
        $rs = executaSql($sql);
        $arrLista = array();
        while($rg = $rs->fetchRow()){
			$arrLista[$rg['nome']] = $rg['total'];
        }
        // echoArray($arrLista); exit;
        return (count($arrLista) > 0) ? $arrLista : false;
	}

}
?>